/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package eventbus;

/**
 * Testing the EventBus
 *
 * @author hajo
 */
public class TestEventBus implements EventBus.IEventHandler {

    public TestEventBus() {
        // Register myself for events
        // Must implement IEventHandler to be 
        // able to register as listener
        EventBus.INSTANCE.register(this);
    }

    // Make myself a listener for events
    @Override
    public void onEvent(EventBus.Event evt, Object o) {
        if (evt == EventBus.Event.NEW_DATA) {
            String s = (String) o;
            System.out.println(s);
        }
    }

    public static void main(String args[]) {
        EventBus.INSTANCE.publish(EventBus.Event.NEW_DATA, "Sent from myself to myself");
    }
}
