package inheritance.abstracts;

/**
 * A sub class to GameCharacter
 *
 * @author hajo
 */
public class Orch extends AbstractGameCharacter {

    private int ugliness;

    public Orch(int ugliness, int id, int xPos, int yPos, int health, int attack) {
        super(id, xPos, yPos, health, attack);
        this.ugliness = ugliness;
    }

    public int getUgliness() {
        return ugliness;
    }

    public void setUgliness(int ugliness) {
        // isAlive is in superclass 
        if (isAlive()) {
            this.ugliness = ugliness;
        }
    }
    
    @Override
    public void move() {
        // Move like an orch here
    }
    
}
