package inheritance.abstracts;

/**
 * A sub class to GameCharacter
 *
 * @author hajo
 */
public class Hero extends AbstractGameCharacter {

    private int armour;

    public Hero(int armour, int id, int xPos, int yPos, int health, int attack) {
        super(id, xPos, yPos, health, attack);
        this.armour = armour;
    }

    public int getArmour() {
        return armour;
    }

    public void setArmour(int armour) {
        // isAlive is in superclass
        if (isAlive()) {
            this.armour = armour;
        }
    }

    @Override
    public void move() {
        // Move like a hero here
    }
    
    
}
