/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package mvc;

import javax.swing.JFrame;
import javax.swing.SwingUtilities;
import javax.swing.WindowConstants;

/**
 * Simplest possible demo of MVC design (One class i Model (M), one is view (V)
 * no real control class (C), assume actionListener method is controller
 *
 * @author hajo
 */
public class MainFrame extends JFrame {

    public MainFrame(String title) {
        super(title);
    }

    // Should have Main class, but simple for now
    public static void main(String args[]) {

        SwingUtilities.invokeLater(new Runnable() {
            @Override
            public void run() {
                MainFrame m = new MainFrame("MVC");
                m.setSize(200, 200);
                m.setLocationRelativeTo(null);
                m.setDefaultCloseOperation(WindowConstants.EXIT_ON_CLOSE);
                m.add(new View(new Model()));
                m.setVisible(true);
            }
        });
    }
}
